.TH HG ROLLBACK  "" "" ""
.SH NAME
hg rollback \- roll back the last transaction (DANGEROUS) (DEPRECATED)
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg rollback
.ft P
.fi
.SH DESCRIPTION
.sp
Please use \%\fBhg commit \-\-amend\fP\: instead of rollback to correct
mistakes in the last commit.
.sp
This command should be used with care. There is only one level of
rollback, and there is no way to undo a rollback. It will also
restore the dirstate at the time of the last transaction, losing
any dirstate changes since that time. This command does not alter
the working directory.
.sp
Transactions are used to encapsulate the effects of all commands
that create new changesets or propagate existing changesets into a
repository.
.sp
For example, the following commands are transactional, and their
effects can be rolled back:
.INDENT 0.0
.IP \(bu 2
.
commit
.IP \(bu 2
.
import
.IP \(bu 2
.
pull
.IP \(bu 2
.
push (with this repository as the destination)
.IP \(bu 2
.
unbundle
.UNINDENT
.sp
To avoid permanent data loss, rollback will refuse to rollback a
commit transaction if it isn\(aqt checked out. Use \-\-force to
override this protection.
.sp
The rollback command can be entirely disabled by setting the
\fBui.rollback\fP configuration setting to false. If you\(aqre here
because you want to use rollback and it\(aqs disabled, you can
re\-enable the command by setting \fBui.rollback\fP to true.
.sp
This command is not intended for use on public repositories. Once
changes are visible for pull by other users, rolling a transaction
back locally is ineffective (someone else may already have pulled
the changes). Furthermore, a race is possible with readers of the
repository; for example an in\-progress pull from the repository
may fail if a rollback is performed.
.sp
Returns 0 on success, 1 if no rollback data is available.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-n,  \-\-dry\-run
.
do not perform actions, just print output
.TP
.B \-f,  \-\-force
.
ignore safety measures
.UNINDENT
.\" Generated by docutils manpage writer.
.\" 
.
